org.apache.xmlgraphics.image.loader.cache

## Interface ExpirationPolicy

- All Known Implementing Classes:
    DefaultExpirationPolicy

      public interface ExpirationPolicy

  Represents an expiration policy for cache entries that have a creation time stamp.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isExpired(org.apache.xmlgraphics.image.loader.cache.TimeStampProvider provider, long timestamp)` Indicates whether a cache entry is expired given its creation time stamp.

- - ### Method Detail

    - #### isExpired

          boolean isExpired(org.apache.xmlgraphics.image.loader.cache.TimeStampProvider provider,
                            long timestamp)

      Indicates whether a cache entry is expired given its creation time stamp.
      Parameters:
        `provider` - the provider for new time stamps
        `timestamp` - the creation time stamp (the semantics of `System.currentTimeMillis()` apply)
      Returns:
        true if the entry is to be considered expired, false if not

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.